Risultati ricerca

  1. GP.

    Adattare gruppo con testi di dimensioni e superficie a polilinee quadrilatere chiuse più grandi con solo un click (selezione multipla)

    Inserisci i blocchi, li trasformi in gruppi e poi prova questo lisp. Con tutti quei vincoli l'operazione risulta molto lenta, perciò ho previsto la selezione dei rettangoli da trattare, ma puoi sempre digitare T (tutto) alla richiesta di selezione oggetti. Un lisp unico a partire...
  2. GP.

    Quota altimetrica su punto

    Prova il lisp postato qui:
  3. GP.

    quote sui lati dei rettangoli (polilinee) con un solo click

    Si può quotare direttamente il lato, funziona anche con l'OSNAP inserito, ma se lo togli (osmode = 0) viene meglio...
  4. GP.

    quote sui lati dei rettangoli (polilinee) con un solo click

    Scusa se ritorno su questo aspetto che avevo accennato nel mio precedente post, solo per evitare incomprensioni. Con DIM, se selezioni il lato, non hai bisogno di selezionare il "relativo estremo" per quotare.
  5. GP.

    quote sui lati dei rettangoli (polilinee) con un solo click

    Con il comando DIM e selezionando il lato non va bene?
  6. GP.

    Cambio colori layers, da RGB a ACI (ma Basic Colors!)

    lsh è una di quelle funzioni che non ho mai usato e di cui non riuscivo ad ipotizzarne un utilizzo, ora almeno so che non è stata inventata invano... :)
  7. GP.

    lisp colri random

    L'eventuale secondo testo interno non viene trattato, il layer contorni deve già esistere. (defun c:xx ( / selpoly n poly t_poly col) (if (and (princ "\nSelezionare le polilinee") (setq selpoly (ssget '((0 . "LWPOLYLINE") (-4 . "&=") (70 . 1)))) )...
  8. GP.

    Cambio colori layers, da RGB a ACI (ma Basic Colors!)

    In sostituzione del primo lisp puoi usare questo, aggiungendo una riga per ogni colore particolare che vuoi processare (defun c:zz () (vlax-for x (vla-get-layers (vla-get-activedocument (vlax-get-acad-object))) (vla-put-color x (cond ( (= 131...
  9. GP.

    Cambio colori layers, da RGB a ACI (ma Basic Colors!)

    Il primo non va bene, appena riesco posto qualcosa
  10. GP.

    Cambio colori layers, da RGB a ACI (ma Basic Colors!)

    La funzione vla-get-color restituisce il colore ACI, ovvero, nel caso di truecolor, il corrispondente ACI similare. Ad esempio il colore 255,255,0 restituisce 2 (giallo), il colore 128,255,255 restituisce 131). Il lisp quindi assegna ad ogni layer il suo stesso colore, ma indicato come ACI...
  11. GP.

    Cambio colori layers, da RGB a ACI (ma Basic Colors!)

    Prova, poi te lo spiego
  12. GP.

    Cambio colori layers, da RGB a ACI (ma Basic Colors!)

    Vedi se funziona (defun c:pippo () (vlax-for x (vla-get-layers (vla-get-activedocument (vlax-get-acad-object))) (vla-put-color x (vla-get-color x)) ) )
  13. GP.

    NUMERARE IN MODO AUTOMATICO NUMERI COMPLESSI

    Grazie
  14. GP.

    Volume massimo di un 3DSOLID

    Non ho capito, tu vuoi che il parallelepipedo verde tenga conto anche della porzione rossa o stai cercando il parallelepidedo max che comunque orientato contenga la porzione bianca? :unsure:
  15. GP.

    Estrarre colore dei layer

    E' possibile con: (cdr (assoc 62 (tblsearch "LAYER" nomelayer)))
  16. GP.

    Sorting di una lista di selezione

    L'avrai scritto in napoletano... :ROFLMAO::ROFLMAO::ROFLMAO:
  17. GP.

    Numerazione sezioni automatica e progressiva

    In automatico no, se ti accontenti di selezionare i testi vale quanto suggerito QUI
  18. GP.

    NUMERARE IN MODO AUTOMATICO NUMERI COMPLESSI

    Scarica Incremental Numbering Suite e imposta come da immagine sotto, dopo OK digira R per [R]eplace.
  19. GP.

    Sorting di una lista di selezione

    Premesso che le vie per arrivare ad una soluzione sono infinite, quella che mi viene in mente ora è questa: Dopo SSGET ottieni l'elenco degli oggetti selezionati (setq selez (ssget)) (repeat (setq n (sslength selez)) (setq lista (cons (ssname selez (setq n (1- n))) lista)) )...
  20. GP.

    Tenere memorizzato più selezioni del comando copia

    mmm... sento puzza di PICKADD = 0